UHardwareGpsNiNotification Struct Reference
Functions and types for accessing GPS H/W.

`#include <gps.h>`

Collaboration diagram for UHardwareGpsNiNotification:

## Data Fields

size_t | size
int | notification_id
uint32_t | ni_type
UHardwareGpsNiNotifyFlags | notify_flags
int | timeout
UHardwareGpsUserResponseType | default_response
char | requestor_id [U_HARDWARE_GPS_NI_SHORT_STRING_MAXLEN]
char | text [U_HARDWARE_GPS_NI_LONG_STRING_MAXLEN]
UHardwareGpsNiEncodingType | requestor_id_encoding
UHardwareGpsNiEncodingType | text_encoding
char | extras [U_HARDWARE_GPS_NI_LONG_STRING_MAXLEN]

## Detailed Description

Represents an NI request

Definition at line 358 of file gps.h.

## Field Documentation

UHardwareGpsUserResponseType UHardwareGpsNiNotification::default_response

Default response when time out.

Definition at line 388 of file gps.h.

char UHardwareGpsNiNotification::extras[U_HARDWARE_GPS_NI_LONG_STRING_MAXLEN]

A pointer to extra data. Format: key_1 = value_1 key_2 = value_2

Definition at line 415 of file gps.h.

uint32_t UHardwareGpsNiNotification::ni_type

An NI type used to distinguish different categories of NI events, such as U_HARDWARE_GPS_NI_TYPE_VOICE, U_HARDWARE_GPS_NI_TYPE_UMTS_SUPL, ...

Definition at line 372 of file gps.h.

int UHardwareGpsNiNotification::notification_id

An ID generated by HAL to associate NI notifications and UI responses

Definition at line 366 of file gps.h.

UHardwareGpsNiNotifyFlags UHardwareGpsNiNotification::notify_flags

Notification/verification options, combinations of UHardwareGpsNiNotifyFlags constants

Definition at line 377 of file gps.h.

char UHardwareGpsNiNotification::requestor_id[U_HARDWARE_GPS_NI_SHORT_STRING_MAXLEN]

Requestor ID

Definition at line 393 of file gps.h.

UHardwareGpsNiEncodingType UHardwareGpsNiNotification::requestor_id_encoding

Client name decoding scheme

Definition at line 403 of file gps.h.

size_t UHardwareGpsNiNotification::size

set to sizeof(UHardwareGpsNiNotification)

Definition at line 360 of file gps.h.

char UHardwareGpsNiNotification::text[U_HARDWARE_GPS_NI_LONG_STRING_MAXLEN]

Notification message. It can also be used to store client_id in some cases

Definition at line 398 of file gps.h.

UHardwareGpsNiEncodingType UHardwareGpsNiNotification::text_encoding

Client name decoding scheme

Definition at line 408 of file gps.h.

int UHardwareGpsNiNotification::timeout

Timeout period to wait for user response. Set to 0 for no time out limit.

Definition at line 383 of file gps.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h